import AnimationFrame from './animation-frame';
import RequestIdleCallback from './request-idle-callback';
import Clock from './clock';
import fetch from './fetch';
import Location from './location';
import MatchMedia from './match-media';
import Storage from './storage';
import Timer from './timer';
import UserTiming from './user-timing';
import IntersectionObserver from './intersection-observer';
import Promise from './promise';
import Dimension from './dimension';
import { Connection } from './connection';
export declare const connection: Connection;
export declare const animationFrame: AnimationFrame;
export declare const requestIdleCallback: RequestIdleCallback;
export declare const clock: Clock;
export { fetch };
export declare const location: Location;
export declare const matchMedia: MatchMedia;
export { mediaQueryList } from './match-media';
export declare const localStorage: Storage;
export declare const sessionStorage: Storage;
export declare const timer: Timer;
export declare const userTiming: UserTiming;
export declare const intersectionObserver: IntersectionObserver;
export declare const promise: Promise;
export declare const dimension: Dimension;
export declare function installMockStorage(): void;
export declare function ensureMocksReset(): void;
//# sourceMappingURL=index.d.ts.map