interface Observer {
    source: unknown;
    target: Element;
    callback: IntersectionObserverCallback;
    options?: IntersectionObserverInit;
}
export default class IntersectionObserverMock {
    observers: Observer[];
    private isUsingMockIntersectionObserver;
    private originalIntersectionObserver;
    private originalIntersectionObserverEntry;
    simulate(entry: Partial<IntersectionObserverEntry> | Partial<IntersectionObserverEntry>[]): void;
    mock(): void;
    restore(): void;
    isMocked(): boolean;
    private ensureMocked;
}
export {};
//# sourceMappingURL=intersection-observer.d.ts.map