'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fetchMock = require('fetch-mock');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var fetchMock__default = /*#__PURE__*/_interopDefaultLegacy(fetchMock);

const mockSpies = [jest.spyOn(fetchMock__default["default"], 'mock'), jest.spyOn(fetchMock__default["default"], 'get'), jest.spyOn(fetchMock__default["default"], 'put'), jest.spyOn(fetchMock__default["default"], 'post'), jest.spyOn(fetchMock__default["default"], 'delete')];
const restoreSpy = jest.spyOn(fetchMock__default["default"], 'restore');
function isMocked() {
  const wasMocked = mockSpies.some(spy => spy.mock.calls.length > 0);
  const wasRestored = restoreSpy.mock.calls.length > 0;
  return wasMocked && !wasRestored;
}
const augmentedFetchMock = fetchMock__default["default"];
augmentedFetchMock.isMocked = isMocked;
var fetch = augmentedFetchMock;

exports["default"] = fetch;
