export interface NavigatorWithConnection extends Navigator {
    connection: EventTarget & {
        type: string;
        downlink: number;
        effectiveType: string;
        onchange: null | Function;
        rtt: number;
        saveData: boolean;
    };
}
export declare class Connection {
    private isUsingMockConnection;
    private originalConnection?;
    mock(timing?: Partial<NavigatorWithConnection['connection']>): void;
    restore(): void;
    isMocked(): boolean;
}
//# sourceMappingURL=connection.d.ts.map