export interface MediaMatching {
    (mediaQuery: string): Partial<MediaQueryList>;
}
export default class MatchMedia {
    originalMatchMedia: ((mediaQuery: string) => MediaQueryList) | null;
    mock(media?: MediaMatching): void;
    restore(): void;
    isMocked(): boolean;
    setMedia(media?: MediaMatching): void;
    private ensureMatchMediaIsMocked;
}
export declare function mediaQueryList(values: Partial<MediaQueryList>): MediaQueryList;
//# sourceMappingURL=match-media.d.ts.map