/// <reference types="jest" />
export default class Storage {
    getItem: jest.Mock<string | null, [key: string], any>;
    setItem: jest.Mock<void, [key: string, value: any], any>;
    removeItem: jest.Mock<void, [key: string], any>;
    clear: jest.Mock<void, [], any>;
    key: jest.Mock<string, [index: number], any>;
    private store;
    get length(): number;
    restore(): void;
    private unmockedGetItem;
    private unmockedSetItem;
    private unmockedRemoveItem;
    private unmockedClearItem;
    private unmockedKey;
}
//# sourceMappingURL=storage.d.ts.map